terraform {
  required_version = "1.5.5"

  backend "s3" {
    bucket = "cwtv-tf"
    key    = "infrastructure/ax41-1/terraform.tfstate"
    region = "eu-central-1"
  }

  required_providers {
    authentik = {
      source  = "goauthentik/authentik"
      version = "~>2023.10.0"
    }
    hetznerdns = {
      source  = "timohirt/hetznerdns"
      version = "~>2.2"
    }
    docker = {
      source  = "kreuzwerker/docker"
      version = "~>3.0"
    }
    sops = {
      source  = "carlpett/sops"
      version = "~>1.0"
    }
  }
}
